﻿@using System.Web.UI.WebControls;
@{Layout = "~/Views/Shared/_Layout.cshtml";}
@*DISINI PROSES MANGGIL EVENT*@
@Html.Partial("~/Views/Shared/_PartialScript.cshtml")
@Html.Partial("_GoodIssuePartialScript")
@Html.Partial("_PopUp")
<div class="content">
    <table style="width: 100%">
        <tr>
            <td style="width: 60%">
                <fieldset>
                    <table style="width: 100%">
                        <tr>
                            <td style="width: 20%">
                                @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "*ETD From";
                    }).GetHtml()
                            </td>
                            <td style="width: 10%" align="left">
                                @Html.DevExpress().DateEdit(
                    settings =>
                    {
                        settings.Name = "I_ETD_FROM";
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                        settings.Properties.DisplayFormatInEditMode = true;
                        settings.Properties.EditFormatString = "dd.MM.yyyy";
                        settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                        settings.ReadOnly = false;
                        settings.Properties.UseMaskBehavior = true;
                        settings.Properties.EditFormat = EditFormat.Custom;
                        settings.Properties.CalendarProperties.EnableYearNavigation = true;
                        settings.Width = 110;
                        settings.Properties.ClientSideEvents.DateChanged = "I_ETD_FROM_OnChanged";
                    }).GetHtml()
                            </td>
                            <td style="width: 5%" align="center">
                                @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "*To";
                    }).GetHtml()
                            </td>
                            <td style="width: 10%" align="left">
                                @Html.DevExpress().DateEdit(
                    settings =>
                    {
                        settings.Name = "I_ETD_TO";
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                        settings.Properties.DisplayFormatInEditMode = true;
                        settings.Properties.EditFormatString = "dd.MM.yyyy";
                        settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                        settings.ReadOnly = false;
                        settings.Properties.UseMaskBehavior = true;
                        settings.Properties.EditFormat = EditFormat.Custom;
                        settings.Properties.CalendarProperties.EnableYearNavigation = true;
                        settings.Properties.ClientSideEvents.DateChanged = "I_ETD_TO_OnChanged";
                        settings.Width = 110;
                    }
                    ).GetHtml()
                            </td>
                            <td style="width: 2%"></td>
                            <td style="width: 8%" align="left">
                                @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "Status";
                        label.Width = 100;
                    }).GetHtml()
                            </td>
                            <td style="width: 10%" align="left">
                                @Html.DevExpress().ComboBox(
                  settings =>
                  {
                      settings.Name = "I_GOOD_ISSUE_STATUS";
                      settings.Width = 80;
                      settings.Properties.ValueType = typeof(string);
                      settings.SelectedIndex = -1;
                      settings.Properties.Items.Add("", "");
                      settings.Properties.Items.Add("N", "N");
                      settings.Properties.Items.Add("Y", "Y");
                      settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                      settings.Properties.ClientSideEvents.SelectedIndexChanged = "I_GOOD_ISSUE_STATUS_OnSelectedIndexChanged";
                  }).GetHtml()
                            </td>
                            <td style="width: 35%" align="center">&nbsp
                            </td>
                        </tr>
                        <tr>
                            <td style="width: 150px">
                                @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "Invoice Date From";
                    }).GetHtml()
                            </td>
                            <td style="width: 100px" align="left">
                                @Html.DevExpress().DateEdit(
                    settings =>
                    {
                        settings.Name = "I_INVOICE_DT_FROM";
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                        settings.Properties.DisplayFormatInEditMode = true;
                        settings.Properties.EditFormatString = "dd.MM.yyyy";
                        settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                        settings.ReadOnly = false;
                        settings.Properties.UseMaskBehavior = true;
                        settings.Properties.EditFormat = EditFormat.Custom;
                        settings.Properties.CalendarProperties.EnableYearNavigation = true;
                        settings.Width = 110;
                        settings.Properties.ClientSideEvents.DateChanged = "I_INVOICE_DT_FROM_OnChanged";
                    }).GetHtml()
                            </td>
                            <td style="width: 30px" align="center">
                                @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "To";
                    }).GetHtml()
                            </td>
                            <td style="width: 100px" align="left">
                                @Html.DevExpress().DateEdit(
                    settings =>
                    {
                        settings.Name = "I_INVOICE_DT_TO";
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                        settings.Properties.DisplayFormatInEditMode = true;
                        settings.Properties.EditFormatString = "dd.MM.yyyy";
                        settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                        settings.ReadOnly = false;
                        settings.Properties.UseMaskBehavior = true;
                        settings.Properties.EditFormat = EditFormat.Custom;
                        settings.Properties.CalendarProperties.EnableYearNavigation = true;
                        settings.Properties.ClientSideEvents.DateChanged = "I_INVOICE_DT_TO_OnChanged";
                        settings.Width = 110;
                    }
                    ).GetHtml()
                            </td>
                            <td style="width: 2%"></td>
                            <td style="width: 8%" align="left">
                                @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "Invoice No";
                        label.Width = 100;
                    }).GetHtml()
                            </td>
                            <td style="width: 10%" align="left">
                                @Html.DevExpress().TextBox(
                  settings =>
                  {
                      settings.Name = "I_INVOICE_NO";
                      settings.Width = 100;
                      settings.Properties.ClientSideEvents.KeyPress = "I_INVOICE_NO_OnKeyPress";
                  }).GetHtml()
                            </td>
                            <td style="width: 45%" align="center">&nbsp
                            </td>
                        </tr>
                    </table>
                    <table style="width: 100%">
                        <tr>
                            <td align="left" style="width: 50%">
                                @Html.DevExpress().Button(
                    print =>
                    {
                        print.Name = "cmdPosting";
                        print.Width = 150;
                        print.Text = "Posting Good Issue";
                        print.ClientSideEvents.Click = "OnPosting";
                        print.Style.Add("display", "inline-table");
                        print.UseSubmitBehavior = true;
                        //print.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("Invoice", "FTR-SPEX-41-02", "GENERATE REPORT");
                    }
                    ).GetHtml()
                                @Html.DevExpress().Button(
                    print =>
                    {
                        print.Name = "cmdRePosting";
                        print.Width = 170;
                        print.Text = "Re-Posting Good Issue";
                        print.ClientSideEvents.Click = "OnRePosting";
                        print.Style.Add("display", "inline-table");
                        print.UseSubmitBehavior = true;
                        print.ClientVisible = true;
                        //print.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("Invoice", "FTR-SPEX-41-02", "PEB CREATION");
                    }
                    ).GetHtml()
                            </td>
                            <td align="right" style="width: 50%">
                                @Html.DevExpress().Button(
                     edtSetting =>
                     {
                         edtSetting.Name = "cmdSearch";
                         edtSetting.Text = "Search";
                         edtSetting.Width = 80;
                         edtSetting.ClientSideEvents.Click = "OnSearch";
                         edtSetting.Style.Add("display", "inline-table");
                         edtSetting.UseSubmitBehavior = true;
                         //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("Invoice", "FTR-SPEX-41-01", "SEARCH");
                     }
                     ).GetHtml()
                                @Html.DevExpress().Button(
                    edtSetting =>
                    {
                        edtSetting.Name = "cmdClear";
                        edtSetting.Width = 80;
                        edtSetting.Text = "Clear";
                        edtSetting.ClientSideEvents.Click = "OnClear";
                        edtSetting.Style.Add("display", "inline-table");
                        edtSetting.UseSubmitBehavior = true;
                        //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("Invoice", "FTR-SPEX-41-01", "CLEAR");
                    }
                    ).GetHtml()
                            </td>
                        </tr>
                    </table>
                </fieldset>
            </td>
            <td style="width: 40%">
                <fieldset>
                    <table style="width: 100%">
                        <tr>
                            <td style="width: 40%">
                                @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Text = "*Departure Date From";
                                }).GetHtml()
                            </td>
                            <td style="width: 10%" align="left">
                                @Html.DevExpress().DateEdit(
                                settings =>
                                {
                                    settings.Name = "I_DEPARTURE_DT_FROM";
                                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                    settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                                    settings.Properties.DisplayFormatInEditMode = true;
                                    settings.Properties.EditFormatString = "dd.MM.yyyy";
                                    settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                                    settings.ReadOnly = false;
                                    settings.Properties.UseMaskBehavior = true;
                                    settings.Properties.EditFormat = EditFormat.Custom;
                                    settings.Properties.CalendarProperties.EnableYearNavigation = true;
                                    settings.Width = 110;
                                    settings.Properties.ClientSideEvents.DateChanged = "I_DEPARTURE_DT_FROM_OnChanged";
                                }).GetHtml()
                            </td>
                            <td style="width: 5%" align="center">
                                @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Text = "*To";
                                }).GetHtml()
                            </td>
                            <td style="width: 10%" align="left">
                                @Html.DevExpress().DateEdit(
                                settings =>
                                {
                                    settings.Name = "I_DEPARTURE_DT_TO";
                                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                    settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                                    settings.Properties.DisplayFormatInEditMode = true;
                                    settings.Properties.EditFormatString = "dd.MM.yyyy";
                                    settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                                    settings.ReadOnly = false;
                                    settings.Properties.UseMaskBehavior = true;
                                    settings.Properties.EditFormat = EditFormat.Custom;
                                    settings.Properties.CalendarProperties.EnableYearNavigation = true;
                                    //settings.Properties.ClientSideEvents.DateChanged = "I_DEPARTURE_DT_TO_OnChanged";
                                    settings.Width = 110;
                                }
                                ).GetHtml()
                            </td>
                            <td style="width: 30%"></td>
                        </tr>
                        <tr>
                            <td colspan="5">                                
                            @Html.DevExpress().TextBox(hsettings =>
                            {
                                hsettings.Name = "Process_ID2";
                                hsettings.ClientVisible = false;
                            }).GetHtml()
                            </td>
                        </tr>
                        <tr>
                            <td colspan="4"></td>
                            <td style="text-align:right">
                                @Html.DevExpress().Button(
                                print =>
                                {
                                    print.Name = "cmdDownload";
                                    print.Width = 100;
                                    print.Text = "Download";
                                    print.ClientSideEvents.Click = "OnDownload";
                                    print.Style.Add("display", "inline-table");
                                    print.UseSubmitBehavior = true;
                                    //print.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("Invoice", "FTR-SPEX-41-02", "GENERATE REPORT");
                                }
                                ).GetHtml()</td>
                        </tr>
                    </table>
                </fieldset>
            </td>
        </tr>
    </table>
</div>
<div class="content">
    @Html.Partial("GoodIssueGrid")
</div>
